https://github.com/MyGUI/mygui/pull/249

From f97c85b4e096379f728700d61c2f5780043dfc0a Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Tue, 18 Apr 2023 12:29:08 +0100
Subject: [PATCH] Fix build with GCC 13

GCC 13 (as usual for new compiler releases) shuffles around some internal includes so some
are no longer transitively included.

See https://gnu.org/software/gcc/gcc-13/porting_to.html.

Bug: https://bugs.gentoo.org/895098
--- a/MyGUIEngine/include/MyGUI_Types.h
+++ b/MyGUIEngine/include/MyGUI_Types.h
@@ -9,6 +9,7 @@
 
 #include "MyGUI_Prerequest.h"
 
+#include <cstdint>
 #include <vector>
 #include <map>
 #include <string>
